Uploaded image for project: 'WildFly'
  1. WildFly
  2. WFLY-14723

Upgrade XJC in WildFly Preview to 2.3.3-b02-jbossorg-1

    XMLWordPrintable

    Details

      Description

      For now for Jakarta XML Binding 3.0 in WF Preview to work with documents written with JAXB 2.1 or earlier schemas and to work properly with CXF, we need to stick a jaxb-ri 2.3.x implementation (see WFLY-14709). But that implementation has logic in XJC that will reject documents whose version attribute has value "3.0". To correct these we've produced a -jbossorg release of 2.3.3-b02 (the version WF uses.).

      WildFly Preview should use this. As standard WildFly does not need the different behavior, it doesn't need to change.

      Tag diff:

      https://github.com/eclipse-ee4j/jaxb-ri/compare/2.3.3-b02-RI...wildfly:2.3.3-b02-jbossorg-1

        Attachments

          Activity

            People

            Assignee:
            brian.stansberry Brian Stansberry
            Reporter:
            brian.stansberry Brian Stansberry
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: